//
// Evenement.swift
//
// Generated by swagger-codegen
// https://github.com/swagger-api/swagger-codegen
//

import Foundation


open class Evenement: JSONEncodable {
    public enum TypeEvenement: String { 
        case actSoupcon = "ACT_SOUPCON"
        case actDangerAvere = "ACT_DANGER_AVERE"
        case actConfirme = "ACT_CONFIRME"
        case actAnnule = "ACT_ANNULE"
        case obsDanger = "OBS_DANGER"
        case obsCallok = "OBS_CALLOK"
        case obsRas = "OBS_RAS"
        case obsPolice = "OBS_POLICE"
        case obsOkmerci = "OBS_OKMERCI"
        case obsVerif = "OBS_VERIF"
    }
    public var dateCreated: Date?
    public var nomFoyerEmetteur: String?
    public var typeEvenement: TypeEvenement?

    public init() {}

    // MARK: JSONEncodable
    open func encodeToJSON() -> Any {
        var nillableDictionary = [String:Any?]()
        nillableDictionary["dateCreated"] = self.dateCreated?.encodeToJSON()
        nillableDictionary["nomFoyerEmetteur"] = self.nomFoyerEmetteur
        nillableDictionary["typeEvenement"] = self.typeEvenement?.rawValue
        let dictionary: [String:Any] = APIHelper.rejectNil(nillableDictionary) ?? [:]
        return dictionary
    }
}
